package envoy.data;

import java.io.Serializable;

import javax.swing.Scrollable;

/**
 * This Interface should be used for any type supposed to be a {@link Message}
 * attachment (i.e. images or sound).<br>
 * <br>
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>MessageAttachment.java</strong><br>
 * Created: <strong>30 Dec 2019</strong><br>
 *
 * @author Leon Hofmeister
 * @param <T> the type of this message attachment
 * @since Envoy Common v0.2-alpha
 */
public interface MessageAttachment<T> extends Serializable, Scrollable {

	/**
	 * @return the type implementing this interface
	 * @since Envoy Common v0.2-alpha
	 */
	T get();
}
