package envoy.event;

import envoy.data.Message;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>MessageCreationEvent.java</strong><br>
 * Created: <strong>4 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 */
public class MessageEvent implements Event<Message> {

	protected final Message message;

	/**
	 * Initializes a {@link MessageEvent} conveying information about a
	 * {@link Message} object.
	 *
	 * @param message the {@link Message} object to attach to this event
	 * @since Envoy v0.2-alpha
	 */
	public MessageEvent(Message message) { this.message = message; }

	@Override
	public Message get() { return message; }
}
